Bug 185212 - Review Request: freedoom - open source doom game files
Review Request: freedoom - open source doom game files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On: 185211
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-11 15:48 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 15:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-03-11 15:48:48 EST
Spec Name or Url: http://www.kobold.org/~wart/fedora/freedoom.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/freedoom-0.4.1-1.src.rpm
Description: 
Freely distributable game files for Doom.  This is an alternative set of game files to replace the shareware game files for Doom.

This package has a hard requirement on prboom in the .desktop file which is reflected in the Requires tag.  This will eventually be changed to require 'doom-engine' so that it can be played with alternate doom engines.  Note that this introduces a circular dependency where freedoom Requires prboom, and prboom Requires freedoom.
Comment 1 Wart 2006-03-11 15:50:44 EST
Adding Hans to cc: per his request.
Comment 2 Wart 2006-03-13 19:07:35 EST
Changes to the game data files directory, per the discussion in BZ #185211 (prboom)

http://www.kobold.org/~wart/fedora/freedoom-0.4.1-2.src.rpm
http://www.kobold.org/~wart/fedora/freedoom.spec
Comment 3 Hans de Goede 2006-03-14 03:34:56 EST
MUST
====
* Source tarball matches upstream
* Package (and .spec) named properly
* License file included
* Spec file readable, in Am. English
* Builds on FC-5 x86_64
* No locale files
* No excessive BR: or Requires:
* Not relocatable
* buildroot cleaned up in %install and %clean
* No duplicate files
* permissions ok
* Macro usage consistent
* Contains permissable content
* Desktop file included and properly installed

MUST FIX
========
License must be BSD not Distributable

SHOULD FIX
==========
* Use %{version} in Source0
* Remove:
# This package should Provide <enginename>-data for each doom engine
# that it is known to work with.
Concedering the procedure for doom wads we agreed on this is no longer true.

Comment 4 Wart 2006-03-14 10:29:44 EST
One more try to address all must and should fix issues:

http://www.kobold.org/~wart/fedora/freedoom-0.4.1-3.src.rpm
http://www.kobold.org/~wart/fedora/freedoom.spec
Comment 5 Hans de Goede 2006-03-14 12:13:05 EST
Looks good, APPROVED.
Comment 6 Wart 2006-03-14 15:38:06 EST
Imported and built.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.